Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/Content/Location/CreateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Persistence\Content\Location;
8
9 use eZ\Publish\SPI\Persistence\ValueObject;
10
11 class CreateStruct extends ValueObject
12 {
21 public $priority = 0;
22
28 public $hidden = false;
29
36 public $invisible = false;
37
45 public $remoteId;
46
52 public $contentId;
53
61 public $contentVersion;
62
72 public $pathIdentificationString;
73
84 public $mainLocationId = true;
85
93 public $sortField;
94
102 public $sortOrder;
103
109 public $parentId;
110 }
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct
Definition: SPI/Persistence/Content/Location/CreateStruct.php:12
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$hidden
$hidden
Definition: SPI/Persistence/Content/Location/CreateStruct.php:28
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$contentVersion
$contentVersion
Definition: SPI/Persistence/Content/Location/CreateStruct.php:61
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$sortField
$sortField
Definition: SPI/Persistence/Content/Location/CreateStruct.php:93
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$mainLocationId
$mainLocationId
Definition: SPI/Persistence/Content/Location/CreateStruct.php:84
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$invisible
$invisible
Definition: SPI/Persistence/Content/Location/CreateStruct.php:36
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$remoteId
$remoteId
Definition: SPI/Persistence/Content/Location/CreateStruct.php:45
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$pathIdentificationString
$pathIdentificationString
Definition: SPI/Persistence/Content/Location/CreateStruct.php:72
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$contentId
$contentId
Definition: SPI/Persistence/Content/Location/CreateStruct.php:52
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$sortOrder
$sortOrder
Definition: SPI/Persistence/Content/Location/CreateStruct.php:102
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$priority
$priority
Definition: SPI/Persistence/Content/Location/CreateStruct.php:21
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct\$parentId
$parentId
Definition: SPI/Persistence/Content/Location/CreateStruct.php:109
eZ\Publish\SPI\Persistence\ValueObject
Base SPI Value object.
Definition: SPI/Persistence/ValueObject.php:17
eZ\Publish\SPI\Persistence\Content\Location
Definition: SPI/Persistence/Content/Location/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.